Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1765322 - Review Request: python-cssselect2 - CSS selectors for Python ElementTree
Summary: Review Request: python-cssselect2 - CSS selectors for Python ElementTree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Artem
URL:
Whiteboard:
: 1704917 (view as bug list)
Depends On:
Blocks: 1331947 1475749
TreeView+ depends on / blocked
 
Reported: 2019-10-24 19:51 UTC by Felix Schwarz
Modified: 2019-11-04 00:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 00:54:26 UTC
Type: Bug
Embargoed:
ego.cordatus: fedora-review+


Attachments (Terms of Use)

Description Felix Schwarz 2019-10-24 19:51:23 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/fschwarz/python-cssselect2/fedora-rawhide-x86_64/01079276-python-cssselect2/python-cssselect2.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/fschwarz/python-cssselect2/fedora-rawhide-x86_64/01079276-python-cssselect2/python-cssselect2-0.2.2-1.fc32.src.rpm

Description: cssselect2 is a straightforward implementation of CSS3 Selectors for markup documents (HTML, XML, etc.) that can be read by ElementTree-like parsers, including cElementTree, lxml, html5lib_, etc.
Fedora Account System Username: fschwarz

---
This is a basically resubmission of the package from bug 1704917 (but updated to the latest upstream version 0.2.2). The linked package review is expired (older than 6 weeks) because the original submitter did not request a git repo in time. I tried to contact him several times (also privately) but got no response.

This package is required to fix bug 1331947 and bug 1475749 so I'm starting a new review request to get this done.

Just for the record: I'd be happy to co-maintain this package with brouhaha (we share maintainership for some packages already). This issue is just to "get things done".

Comment 2 Artem 2019-10-25 18:11:40 UTC
Felix, LGTM to me. Just a few tiny things:

- Linter warned about sources hash sum and spec file differ in RHBZ and SRPM.

- The one new thing i learned just yesterday from @churchyard :)

  %{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info/
    to
  %{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/

  Because:
  > The ?.? glob would break with Python 3.10.


Please fix this minor issues before import.

---

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /mnt/data-
  linux/tmp/1765322-python-cssselect2/diff.txt
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* BSD (unspecified)", "BSD (unspecified)". 23
     files have unknown license. Detailed output of licensecheck in
     /mnt/data-linux/tmp/1765322-python-cssselect2/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/cssselect2(C, Failed, locale,, to, defaulting, set),
     /usr/lib/python3.8/site-packages/cssselect2-0.2.2-py3.8.egg-info(C,
     Failed, locale,, to, defaulting, set), /usr/lib/python3.8/site-
     packages/cssselect2/__pycache__(C, Failed, locale,, to, defaulting,
     set), /usr/lib/python3.8/site-packages/cssselect2/tests(C, Failed,
     locale,, to, defaulting, set), /usr/lib/python3.8/site-
     packages/cssselect2/tests/__pycache__(C, Failed, locale,, to,
     defaulting, set), /usr/share/doc/python3-cssselect2(C, Failed,
     locale,, to, defaulting, set),
     /usr/share/licenses/python3-cssselect2(C, Failed, locale,, to,
     defaulting, set)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /mnt/data-linux/tmp/1765322-python-
     cssselect2/srpm-unpacked/python-cssselect2.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-cssselect2-0.2.2-1.fc32.noarch.rpm
          python-cssselect2-0.2.2-1.fc32.src.rpm
python3-cssselect2.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python3-cssselect2.noarch: W: spelling-error %description -l en_US cElementTree -> entrancement
python3-cssselect2.noarch: W: spelling-error %description -l en_US lxml -> XML
python-cssselect2.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python-cssselect2.src: W: spelling-error %description -l en_US cElementTree -> entrancement
python-cssselect2.src: W: spelling-error %description -l en_US lxml -> XML
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-cssselect2.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python3-cssselect2.noarch: W: spelling-error %description -l en_US cElementTree -> entrancement
python3-cssselect2.noarch: W: spelling-error %description -l en_US lxml -> XML
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/Kozea/cssselect2/archive/0.2.2/cssselect2-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 70485a680cd72b023f0ce5ae4dcd392e2b10f7280e20afdb1735334bd6af7e6a
  CHECKSUM(SHA256) upstream package : 83d14b8e6810717d58c7165601e1af0455994baeaf9ea03dfa6aca07791c39f5
diff -r also reports differences


Requires
--------
python3-cssselect2 (rpmlib, GLIBC filtered):
    /usr/bin/sh
    python(abi)
    python3-tinycss2
    python3-webencodings
    python3.8dist(tinycss2)



Provides
--------
python3-cssselect2:
    python-cssselect2
    python3-cssselect2
    python3.8dist(cssselect2)
    python3dist(cssselect2)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1765322
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: C/C++, fonts, R, SugarActivity, Perl, PHP, Ocaml, Haskell, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Artem 2019-10-25 18:23:45 UTC
One more thing: can we replace in this package Requires as dynamic requires?

%?python_enable_dependency_generator

https://fedoraproject.org/wiki/Changes/EnablingPythonGenerators#How_To_Test

Comment 4 Felix Schwarz 2019-10-25 19:43:10 UTC
Thanks, Artem. I like your suggestions, will fix before import. (repo requested)

Comment 5 Gwyn Ciesla 2019-10-25 19:46:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-cssselect2

Comment 6 Felix Schwarz 2019-10-25 19:50:03 UTC
*** Bug 1704917 has been marked as a duplicate of this bug. ***

Comment 7 Felix Schwarz 2019-10-25 20:44:15 UTC
> One more thing: can we replace in this package Requires as dynamic requires?
> %?python_enable_dependency_generator

As far as I know this is enabled automatically for F30 (F29?) so I omitted it. Also I noticed upstream forgot to list a dependency so only tinycss2 is found automatically.

I fixed the source url (I got the tarball from pypi) and also the egg-info wildcard.

Comment 8 Fedora Update System 2019-10-26 14:28:51 UTC
FEDORA-2019-915ee45686 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-915ee45686

Comment 9 Fedora Update System 2019-10-27 04:02:38 UTC
python-cssselect2-0.2.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-915ee45686

Comment 10 Fedora Update System 2019-11-04 00:54:26 UTC
python-cssselect2-0.2.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.